System requirements

Before you start the installation process, ensure the following system requirements are met.

Requirement Description

Environment

DataClarity to be installed on a clean environment (VM) with no other 3rd party software installed.

Operating System Requirements

DataClarity can be installed on the following 64-bit operating systems:

  • Ubuntu 18.04+
  • Red Hat Enterprise Linux (RHEL) 7.3+
  • CentOS 7.6+

Minimum Requirements

The minimum hardware requirements:

  • 8 physical cores, 16 vCPU (ex. AWS)

  • 32 GB of RAM

    If you want to scale the query engine to more than two pods, increase RAM by at least 8 GB for each additional pod.

  • 100 GB minimum free disk space

Please download the system check script to verify that your environment meets the minimum system requirements:

Kubernetes: system_check.sh

Docker-compose: system_check_compose.sh

Kubernetes

DataClarity supports MicroK8s 1.19 version.

Postgres

In case you are using your own PostgreSQL instance or you are using a clustered installation

  • Postgres 11.2+

User Authentication and Security

DataClarity supports the following user authentication and identity providers:

  • Microsoft Active Directory
  • SAML 2.0
  • OpenID Connect
  • Built-in DataClarity users and groups for user authentication and group membership definitions

Virtual Environments

DataClarity platform operates in virtualized environments after they are configured with the proper underlying operating system and minimum hardware requirements. We recommend VM deployments with the dedicated CPU affinity:

  • Microsoft Hyper-V
  • VMware
  • Google Cloud Platform
  • Microsoft Azure
  • Amazon Web Services

Firewall Rules

During the installation process, the external repository servers are used for downloading the docker images required by the platform technology stack. Ensure that the following repository hosts are accessible to the installation script:

  • api.snapcraft.io
  • gcr.io
  • googlecode.l.googleusercontent.com
  • k8s.gcr.io
  • production.cloudflare.docker.com
  • storage.googleapis.com

Web Browsers

DataClarity can be run on the following browsers:

  • Chrome on Windows and Mac
  • Microsoft Edge & Internet Explorer 11 on Windows. The compatibility mode for Internet Explorer is not supported.
  • Mozilla Firefox & Firefox ESR on Windows and Mac
  • Apple Safari on Mac and iOS 11.3 or later
Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Please sign in to leave a comment.